Skip to main content
GET
/
api
/
v1
/
app-connections
/
azure-key-vault
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/app-connections/azure-key-vault
{
  "appConnections": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "app": "azure-key-vault",
      "method": "oauth",
      "credentials": {
        "tenantId": "<string>"
      },
      "description": "<string>",
      "version": 1,
      "isPlatformManagedCredentials": false,
      "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "<string>",
      "isAutoRotationEnabled": false,
      "rotation": {
        "rotationInterval": 123,
        "rotationStatus": "success",
        "rotateAtUtc": {
          "hours": 123,
          "minutes": 123
        },
        "lastRotationMessage": "<string>",
        "nextRotationAt": "2023-11-07T05:31:56Z"
      },
      "credentialsHash": "<string>",
      "project": {
        "name": "<string>",
        "id": "<string>",
        "type": "<string>",
        "slug": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

projectId
string

The ID of the project to list Azure Key Vault Connections from.

Response

Default Response

appConnections
(Azure Key Vault (OAuth) · object | Azure Key Vault (Client Secret) · object)[]
required